Skip to Content
Create a 'generate-engagement-insights' job
post

Creates a new job that uses AI to analyze viewer engagement patterns and generate insights for a Mux Video asset.

Request body params
passthrough
string

Arbitrary string stored with the job and returned in responses. Useful for correlating jobs with your own systems.

parameters.asset_id
string

The Mux asset ID of the video to analyze engagement for.

post
202
https://api.mux.com/robots/v0/jobs/generate-engagement-insights
Request
(application/json)
{
  "parameters": {
    "asset_id": "mux_asset_123abc"
  }
}
Response
(application/json)
{
  "data": {
    "id": "rjob_example123",
    "workflow": "generate-engagement-insights",
    "status": "pending",
    "units_consumed": 0,
    "created_at": 1700000000,
    "updated_at": 1700000060,
    "parameters": {
      "asset_id": "mux_asset_123abc"
    }
  }
}